[Overview][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'LazHelpIntf' (#lcl)

# FilenameToURL

Gets the URL with file path information for the specified file name.

## Declaration

Source position: lazhelpintf.pas line 586

`function FilenameToURL(`
`const Filename: string`
`):string;`

## Arguments

`Filename` |  | File name converted to a URL in the function.

## Function result

URL for the specified file name.

## Description

FilenameToURL is a String function used to get the URL value for the specified file name. FilenameToURL calls FilenameToURLPath to get the file path information needed for the URL. The value 'file://' is prepended to the return value to indicate that the file URL scheme is used in the URL.

## See also

FilenameToURLPath